| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Namespaces | Functions
cast.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/exception.hpp>`
`#include <iomanip>`
`#include <sstream>`
`#include <string>`

Go to the source code of this file.

## Namespaces
namespace | uhd
namespace | uhd::cast

## Functions
template<typename T>
T | uhd::cast::hexstr_cast (const std::string &in)
| Convert a hexadecimal string into a value.
template<typename T>
T | uhd::cast::fromstr_cast (const std::string &in)
template<typename data_t>
data_t | uhd::cast::from_str (const std::string &)
| Generic cast-from-string function.
template<>
UHD_API bool | uhd::cast::from_str (const std::string &val)
| Specialization of `uhd::cast::from_str()` for Boolean values.
template<>
UHD_API double | uhd::cast::from_str (const std::string &val)
| Specialization of `uhd::cast::from_str()` for double-precision values.
template<>
UHD_API int | uhd::cast::from_str (const std::string &val)
| Specialization of `uhd::cast::from_str()` for integer values.
template<>
UHD_API std::string | uhd::cast::from_str (const std::string &val)
| Specialization of `uhd::cast::from_str()` for strings.
UHD_API std::string | uhd::cast::to_ordinal_string (int val)
| Create an ordinal string from a number.